Subject: Text / binary - a doubt

From: [email-masked]
Date: Tue, 14 Dec 1999 07:31:28 +0530

Hi,
Some time ago, there was a mail in this list about there not being enough
proof about which is better text or binary encoded protocols.

Could anyone point me to any resourse on the web - where I can find
technical reports - be it theoretical or practical about any stage of
findings describing each one's good/bad points ? I dont  ask this to start
yet another debate - I am just looking for  a reference, if any

Just today, we were comparing our H.323 and SIP protcol apps in terms of a
variety of parameters and the results were interesting.
So I was just hoping someone could point me to resources thru which I could
make a more qualified comparison.

(I hope this is the right list, or should it be confctrl ?)

Regds
Arjun

--
Arjun Roychowdhury @ Hughes Software Systems

Jonathan Rosenberg <[email-masked]> on 12/13/99 10:37:02 AM

To:   Bobby Sardana <[email-masked]>
cc:   [email-masked], Henning Schulzrinne
      <[email-masked]>

Subject:  Re: Protocol grammar & future direction!

Well, its just plain waaaaaaaaaay to late for something like this. A
complete BNF (which SIP has), has no variance. We've found that peoples
implementations have variance, but thats what bakeoffs are for.

-Jonathan R.

Bobby Sardana wrote:
>
> Greetings:
>
> Recently, there has been much debate over the SIP grammar and its
> variance with what people are implementing. With respect to the SIP
> grammar I would like to find out the following:
>
> a. If the SIP protocol (viz., the grammar) can be converted to an
> XML DTD then it would become "trivial" for it to parse and without any
> variance (fixed DTD).
> b. The "map" for headers to "tags" should be straight forward.
> c. I am not sure about the "size" of the SIP XML message, but I am
> guessing that its impact would be minimal, as to what is being acheived.
>
> It seems that every "new" protocol being developed comes with its own
> grammar and its variance. This leads to "proprietary" implementations
> because "variance" with grammar is mostly an
> implementation/interpretation issue rather than a "concrete" definition.
> However, this can be eliminated by picking up a "standard" way of
> "defining" essentially (key/value) pairs.
>
> So what I am proposing is that SIP grammar and its implementors would
> benefit if the SIP messages can be defined in an XML format since
> parsing becomes easy and without any variance. It is understandable that
> the SIP designers went with RFC based "text messaging format" but I was
> wondering if they considered the XML option. If they did, I would like
> to know their findings.
>
> Thanks.
>
> Bobby Sardana.
> [email-masked]

--
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com